Bug 536005 - (RHQ-400) enable users to navigate the recalculation delta, before actually performing it
enable users to navigate the recalculation delta, before actually performing it
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Inventory (Show other bugs)
0.1
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
http://jira.rhq-project.org/browse/RH...
: SubFeature
Depends On:
Blocks: RHQ-399
  Show dependency treegraph
 
Reported: 2008-05-01 11:03 EDT by Joseph Marques
Modified: 2010-10-06 23:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-06 23:25:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2008-05-01 11:03:00 EDT
One idea would be to give the user the option of immediately recalculating, or just displaying the recalculation.  The following are the various states the dynagroups and its members can be in:

dynagroup states - newGroup, toBeDeletedGroup, updatedGroup
child member states - newResourceMember, toBeDeletedResourceMember, noChangeResourceMember

So, if you display the recalculation, it looks the same as a regular calculation, except that the dynagroup rows are highlighted according to their delta.  then, if you click through to some group, each child resource member has appropriate highlighting according to its delta.

maybe there could even be a switch so you can view things like 1) the entire set with delta highlights, 2) the entire delta / just the part that's changing, 3) only the additions, 4) only the deletions, etc.
Comment 1 Red Hat Bugzilla 2009-11-10 16:08:31 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-400
Comment 2 Corey Welton 2010-10-06 23:25:50 EDT
Closing per triage

Note You need to log in before you can comment on or make changes to this bug.